#include <qregexp.h>
#include "tcachedfile.h"

TCachedFile::TCachedFile(const QString &_cachedName, const QString &_realName,
			QIconView * parent, const QPixmap & icon) : QIconViewItem(parent, _realName, icon)  {
	QString pixmap;
	
	cachedName = _cachedName;
	realName   = _realName;
	
	pixmap = "xpm/unknown.xpm";
	
	if(realName.contains(QRegExp(".ut2$", false))) {
		type = CFT_map;     pixmap = "xpm/map.xpm";
	} else if(realName.contains(QRegExp(".utx$", false))) {
		type = CFT_texture; pixmap = "xpm/texture.xpm";
	} else if(realName.contains(QRegExp(".uax$", false))) {
		type = CFT_sound;   pixmap = "xpm/sound.xpm";
	} else if(realName.contains(QRegExp(".usx$", false))) {
		type = CFT_staticmesh; pixmap = "xpm/staticmesh.xpm";
	} else if(realName.contains(QRegExp(".umx$", false))) {
		type = CFT_music;   pixmap = "xpm/music.xpm";
	} else if(realName.contains(QRegExp(".u$", false))) {
		type = CFT_code;    pixmap = "xpm/code.xpm";
	} else {
		type = CFT_unknown;
	}

	setPixmap(*new QPixmap(pixmap), true);
}

QString TCachedFile::getRealName(void) const
{
	return realName;
}

QString TCachedFile::getCachedName(void) const
{
	return cachedName;
}

ECachedFileType TCachedFile::getType(void)
{
	return type;
}

