#ifndef TCACHEDFILE_H
#define TCACHEDFILE_H

#include <qiconview.h>

enum ECachedFileType {
	CFT_unknown,
	CFT_map,
	CFT_texture,
	CFT_sound,
	CFT_music,
	CFT_staticmesh,
	CFT_code
};

class TCachedFile : public QIconViewItem {
private:
	QString cachedName;
	QString realName;
	ECachedFileType type;
	
public:
	TCachedFile(const QString &_cachedName, const QString &_realName,
			QIconView * parent, const QPixmap & icon = NULL);
	QString getRealName(void) const;
	QString getCachedName(void) const;
	ECachedFileType getType(void);
};

#endif
